@echo off

REM ################################################################
REM 削除コマンド
REM ################################################################
SET DEL_OLD_DIR_COMMAND=C:\ASF900\tool\del_old_dir.bat
SET DEL_OLD_FILE_COMMAND=C:\ASF900\tool\del_old_file.bat
SET DEL_PSS_IMG_COMMAND=C:\ASF900\tool\PersonImgDelete.bat

REM ################################################################
REM ASF900フォルダ
REM ################################################################
SET ASF900_HOME=C:\ASF900
SET ASF900_LOGS=C:\ASF900\logs
REM SET ASF900_WATCH=C:\ASF900\errorNotification\watchDir
SET ASF900_TOOL_HOME=C:\ASF900\tool

REM 実行日時の文字列を作成
FOR /F "usebackq" %%i IN (`powershell -command Get-Date -Format yyyy-MM-dd-HHmmss`) DO SET EXETIME=%%i

@echo on

ECHO %DATE% %TIME% Start Delete OLD log >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log

call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\EXT01
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\EXT02
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\EXT06
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\SRH01
REM call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\SRH02
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\msm
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\broker
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\BRK01
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\BRK03
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\BRK04
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\null
REM call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\recoveryTool
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\mnt01_brk
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\mnt01_fmn
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\pps
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\TLS01
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\IOManager
call %DEL_OLD_DIR_COMMAND% -30 * %ASF900_LOGS%\FvCheck

call %DEL_OLD_FILE_COMMAND% -30 log-*.php %ASF900_LOGS%\httpd\brk
call %DEL_OLD_FILE_COMMAND% -30 log-*.php %ASF900_LOGS%\httpd\ext
call %DEL_OLD_FILE_COMMAND% -30 log-*.php %ASF900_LOGS%\httpd\srh

call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\EXT02\delete

call %DEL_OLD_FILE_COMMAND% -30 access_*.log %ASF900_LOGS%\httpd
call %DEL_OLD_FILE_COMMAND% -30 error_*.log %ASF900_LOGS%\httpd

call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\ext01
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\ext06
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\msm
REM call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\srh02
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\bms
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\brk01
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\brk03
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\brk04
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\service\pps
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_TOOL_HOME%\ASF950ShutdownMonitor\log
call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_TOOL_HOME%\ASF950Tool\log

call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\SynergisSync

call %DEL_OLD_FILE_COMMAND% -30 mddb.log.* %ASF900_HOME%\batch\msm\mddb_logs
call %DEL_OLD_FILE_COMMAND% -30 *.log C:\PostgreSQL\10\data\pg_log
call %DEL_OLD_FILE_COMMAND% -30 *.log C:\PostgreSQL\10\data\log

call %DEL_PSS_IMG_COMMAND%

call %DEL_OLD_FILE_COMMAND% -30 *.log %ASF900_LOGS%\fileGC
call %DEL_OLD_FILE_COMMAND% -30 *.bat %ASF900_LOGS%\fileGC


cd C:\ASF900\tool

REM -------------- Delete thumbnail folder -----------------  2021.5.29 ------------
ECHO %DATE% %TIME% Start Delete img_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
del /Q C:\ASF900\tool\img_filegc.bat

ECHO %DATE% %TIME% Start GetLastDataInterval >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
FOR /F "usebackq" %%t IN (`call GetLastDataInterval.exe 1`) DO SET THUMBNAIL_FILE_DEL_PERIOD=%%t
ECHO %DATE% %TIME% THUMBNAIL_FILE_DEL_PERIOD: %THUMBNAIL_FILE_DEL_PERIOD% >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log

ECHO %DATE% %TIME% Start asf950ImgGC >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
call C:\ASF900\tool\asf950ImgGC.exe -%THUMBNAIL_FILE_DEL_PERIOD%

ECHO %DATE% %TIME% Start Copy img_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
copy C:\ASF900\tool\img_filegc.bat %ASF900_LOGS%\fileGC\img_filegc_%EXETIME%.bat

ECHO %DATE% %TIME% Start img_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
call C:\ASF900\tool\img_filegc.bat

ECHO %DATE% %TIME% END img_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log

REM -------------- Delete alarmHistory folder ----------------- 2021.5.31 ------------
ECHO %DATE% %TIME% Start Delete img_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
del /Q C:\ASF900\tool\alarm_filegc.bat

ECHO %DATE% %TIME% Start asf950ImgGC >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
call C:\ASF900\tool\asf950ImgGC.exe -31 2

ECHO %DATE% %TIME% Start Copy alarm_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
copy C:\ASF900\tool\alarm_filegc.bat %ASF900_LOGS%\fileGC\alarm_filegc_%EXETIME%.bat

ECHO %DATE% %TIME% Start alarm_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
call C:\ASF900\tool\alarm_filegc.bat

ECHO %DATE% %TIME% END alarm_filegc.bat >> %ASF900_LOGS%\fileGC\fileGC_%EXETIME%.log
