ALTER TABLE rt_alarm_matching_info ADD COLUMN vms_user_id text;

CREATE FUNCTION rt_alarm_matching_info_set_update_datetime_trigger() RETURNS TRIGGER AS $$
BEGIN
IF((OLD.thumbnail_file_path <> NEW.thumbnail_file_path ) or (OLD.expire_date <> NEW.expire_date) or (OLD.area <> NEW.area) or (OLD.delete_flg<> NEW.delete_flg)) and (NEW.update_user = 'SynergisSync') THEN
NEW.update_datetime := current_timestamp;
END IF;
RETURN NEW;
END;
$$ LANGUAGE plpgsql;

CREATE TRIGGER rt_alarm_matching_info_set_update_datetime_trigger_instance
BEFORE UPDATE ON public.rt_alarm_matching_info
FOR EACH ROW
EXECUTE PROCEDURE rt_alarm_matching_info_set_update_datetime_trigger();
